'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _dec, _class, _class2, _temp;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _omit = require('lodash/omit');

var _omit2 = _interopRequireDefault(_omit);

var _lib = require('@instructure/ui-themeable/lib');

var _lib2 = _interopRequireDefault(_lib);

var _theme = require('./theme');

var _theme2 = _interopRequireDefault(_theme);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var styles = {
  template: function template(theme) {
    return '/*  imported from styles.css  */\n\n._3rTBwZaA2WF_1CH0CZ-Uty {\n  border-radius: ' + theme.contentBorderRadius + ';\n  background-color: ' + theme.contentBackgroundColor + ';\n  box-shadow: ' + theme.contentBoxShadow + ';\n  transition: ' + theme.contentTransitionDuration + ' ease;\n  max-width: ' + theme.contentMaxWidth + ';\n  margin: ' + theme.contentMargin + ' auto;\n}\n\n@media screen and (--phoneBreakPoint) {\n  ._3rTBwZaA2WF_1CH0CZ-Uty {\n    margin: ' + theme.phoneContentMargin + ' auto;\n  }\n}\n';
  },
  'content': '_3rTBwZaA2WF_1CH0CZ-Uty'
};
var CardContent = (_dec = (0, _lib2.default)(_theme2.default, styles), _dec(_class = (_temp = _class2 = function (_Component) {
  (0, _inherits3.default)(CardContent, _Component);

  function CardContent() {
    (0, _classCallCheck3.default)(this, CardContent);
    return (0, _possibleConstructorReturn3.default)(this, (CardContent.__proto__ || Object.getPrototypeOf(CardContent)).apply(this, arguments));
  }

  (0, _createClass3.default)(CardContent, [{
    key: 'render',
    value: function render() {
      return _react2.default.createElement(
        'div',
        Object.assign({
          className: (0, _classnames2.default)(styles.content, this.props.className)
        }, (0, _omit2.default)(this.props, Object.keys(CardContent.propTypes))),
        this.props.children
      );
    }
  }]);
  CardContent.displayName = 'CardContent'
  ;
  return CardContent;
}(_react.Component), _class2.propTypes = {
  children: _propTypes2.default.node.isRequired,
  className: _propTypes2.default.string
}, _class2.defaultProps = {
  className: null
}, _temp)) || _class);
exports.default = CardContent;