'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _immutable = require('immutable');

var _constants = require('quiz-common/lib/constants');

exports.default = function () {
  var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : (0, _immutable.fromJS)({});
  var action = arguments[1];

  switch (action.type) {
    case _constants.CALL_STATUS:
      return state.setIn([action.payload.call, 'requestStatus'], action.payload.status);
    case _constants.SET_CALLBACKS_STATUS:
      return state.setIn([action.payload.call, 'callbackStatus'], action.payload.status);
    default:
      return state;
  }
};