'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _redux = require('redux');

var _reactRedux = require('../../../../../../common/react-redux');

var _presenter = require('./presenter');

var _presenter2 = _interopRequireDefault(_presenter);

var _modifications = require('../../../../../../common/actions/modifications');

var _quizzes = require('../../../../../api/quizzes');

var _makeEditable = require('../../../../../../common/components/shared/functionality/makeEditable');

var _makeEditable2 = _interopRequireDefault(_makeEditable);

var _makeScrollable = require('../../../../../../common/components/shared/functionality/makeScrollable');

var _makeScrollable2 = _interopRequireDefault(_makeScrollable);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// higher order component to add functionality
function mapStateToProps(state, props) {
  return {
    appContainer: state.getIn(['ui', 'appContainer'])
  };
}

var mapDispatchToProps = {
  changeQuizOutcomeAlignmentSetGuid: _modifications.changeQuizOutcomeAlignmentSetGuid,
  saveQuizChange: _quizzes.saveQuizChange
};

exports.default = (0, _redux.compose)((0, _reactRedux.connect)(mapStateToProps, mapDispatchToProps), _makeEditable2.default, _makeScrollable2.default)(_presenter2.default);