'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactRedux = require('../../../react-redux');

var _featureCheck = require('../../../util/featureCheck');

var _presenter = require('./presenter');

var _presenter2 = _interopRequireDefault(_presenter);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function mapStateToProps(state) {
  return {
    stimulusOn: (0, _featureCheck.featureOn)('stimulus')
  };
}

exports.default = (0, _reactRedux.connect)(mapStateToProps)(_presenter2.default);