'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reduce = require('lodash/reduce');

var _reduce2 = _interopRequireDefault(_reduce);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (obj, func) {
  return (0, _reduce2.default)(obj, function (memo, val, key) {
    var output = memo;
    output[key] = func(val);
    return output;
  }, {});
};