'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _immutable = require('immutable');

var _BankEntry = require('../../../common/records/BankEntry');

var _BankEntry2 = _interopRequireDefault(_BankEntry);

var _Item = require('../../../common/records/Item');

var _Item2 = _interopRequireDefault(_Item);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
  permutations: [{
    addEntryToQuiz: [null, Function.prototype],
    isExpanded: [false, true]
  }],
  renderProps: function renderProps(props) {
    var bankEntry = new _BankEntry2.default();
    var item = new _Item2.default();
    bankEntry.getEntry = function () {
      return item;
    };
    return {
      componentProps: {
        bankEntry: bankEntry,
        bankId: '1',
        clearUi: Function.prototype,
        createItem: Function.prototype,
        createStimulus: Function.prototype,
        getItemTagAssociations: Function.prototype,
        getStimulusTagAssociations: Function.prototype,
        navigateToBankEntry: Function.prototype,
        openModal: Function.prototype,
        removeBankEntry: Function.prototype,
        screenreaderNotification: Function.prototype,
        tagAssociations: (0, _immutable.fromJS)([{ id: '1', tag_value: 'DOK-1' }, { id: '2', tag_value: 'Difficulty 0' }, { id: '3', tag_value: 'Question' }]),
        toggleExpanded: Function.prototype,
        withConfirm: Function.prototype,
        useBankTags: true
      }
    };
  }
};