'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactRedux = require('../../react-redux');

var _modal = require('../../actions/modal');

var _index = require('../../../common/components/ImportModal/index');

var _presenter = require('./presenter');

var _presenter2 = _interopRequireDefault(_presenter);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var mapDispatchToProps = function mapDispatchToProps(dispatch) {
  return {
    openImportModal: function openImportModal(importModalId) {
      dispatch((0, _modal.openModal)((0, _index.generateImportModalId)(importModalId)));
    }
  };
};

var mergeProps = function mergeProps(stateProps, dispatchProps, ownProps) {
  return Object.assign({}, stateProps, dispatchProps, ownProps);
};

exports.default = (0, _reactRedux.connect)(null, mapDispatchToProps, mergeProps, { withRef: true })(_presenter2.default);