'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.mapStateToProps = mapStateToProps;

var _reactRedux = require('../../../react-redux');

var _presenter = require('./presenter');

var _presenter2 = _interopRequireDefault(_presenter);

var _featureCheck = require('../../../util/featureCheck');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function mapStateToProps(state, props) {
  return {
    isOn: (0, _featureCheck.featureOn)(props.name)
  };
}

exports.default = (0, _reactRedux.connect)(mapStateToProps)(_presenter2.default);