'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = generator;
function generator(_ref) {
  var spacing = _ref.spacing,
      colors = _ref.colors,
      typography = _ref.typography;

  return {
    wrapperMargin: spacing.medium,
    heroFontSize: '20rem',
    heroColor: colors.porcelain,
    textWrapperMargin: spacing.small,
    textWrapperColor: colors.oxford,
    titleFontSize: typography.fontSizeXLarge,
    titleMargin: spacing.xxSmall,
    subtitleFontSize: typography.fontSizeSmall,
    buttonWrapperMargin: spacing.small
  };
}