"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = generator;
function generator(_ref) {
  var colors = _ref.colors,
      breakpoints = _ref.breakpoints,
      borders = _ref.borders,
      spacing = _ref.spacing;

  return {
    buttonPadding: spacing.xSmall,
    buttonMargin: spacing.xSmall,
    editButtonBreakPoint: "max-width: " + breakpoints.large,
    focusBorderColor: colors.brand,
    focusBorderRadius: borders.radiusMedium
  };
}