"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var summaryDistribution = Array.from({ length: 10 }, function (v, i) {
  return i;
});
var visualDistribution = Array.from({ length: 101 }, function (v, i) {
  return i / 100;
});

exports.default = {
  permutations: [{
    starScore: [visualDistribution[50], visualDistribution[100]]
  }],
  renderProps: function renderProps(props) {
    return {
      componentProps: {
        animateDelay: 0,
        animateDuration: 0,
        chartHeight: 720,
        chartWidth: 900,
        summaryDistribution: summaryDistribution,
        visualDistribution: visualDistribution
      }
    };
  }
};