'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Provider = exports.connect = undefined;

var _reactRedux = require('react-redux');

var STORE_KEY = 'SDKStore'; /* eslint "no-param-reassign": "warn" */


function connectToSDKStore(mapStateToProps, mapDispatchToProps, mergeProps) {
  var options = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : {};

  options.storeKey = options.storeKey || STORE_KEY;
  return (0, _reactRedux.connect)(mapStateToProps, mapDispatchToProps, mergeProps, options);
}

exports.connect = connectToSDKStore;
var Provider = exports.Provider = (0, _reactRedux.createProvider)(STORE_KEY);