'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.archiveBankEntry = exports.addBankEntries = undefined;

var _constants = require('quiz-common/lib/constants');

var addBankEntries = exports.addBankEntries = function addBankEntries(bankEntries) {
  return {
    type: _constants.ADD_BANK_ENTRIES,
    payload: bankEntries
  };
};

var archiveBankEntry = exports.archiveBankEntry = function archiveBankEntry(bankEntryId) {
  return {
    type: _constants.ARCHIVE_BANK_ENTRY,
    payload: bankEntryId
  };
};