"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _toConsumableArray2 = require("babel-runtime/helpers/toConsumableArray");

var _toConsumableArray3 = _interopRequireDefault(_toConsumableArray2);

exports.default = elementsForSelectors;

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function elementsForSelectors(appContainer) {
  var selectors = Array.isArray(appContainer) ? appContainer : [appContainer];
  var elements = selectors.reduce(function (acc, selector) {
    return [].concat((0, _toConsumableArray3.default)(acc), (0, _toConsumableArray3.default)(document.querySelectorAll(selector)));
  }, []);
  return elements;
}