"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = generator;
function generator(_ref) {
  var borders = _ref.borders,
      typography = _ref.typography,
      spacing = _ref.spacing,
      colors = _ref.colors,
      breakpoints = _ref.breakpoints;

  return {
    itemWrapperBorderWidth: borders.widthSmall,
    itemWrapperBorderColor: colors.porcelain,
    phoneBreakPoint: "max-width: " + breakpoints.medium,
    phoneConnectingLinesBorderWidth: borders.widthSmall,
    phoneConnectingLinesBorderColor: colors.ash,
    phoneConnectingLinesMargin: spacing.small
  };
}