'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _dec, _class, _class2, _temp;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _lib = require('@instructure/ui-themeable/lib');

var _lib2 = _interopRequireDefault(_lib);

var _theme = require('./theme');

var _theme2 = _interopRequireDefault(_theme);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var styles = {
  template: function template(theme) {
    return '/*  imported from styles.css  */\n\n.CardWrapper__styles__wrapper {\n  box-sizing: border-box;\n  padding: ' + theme.wrapperPadding + ';\n  transition: ' + theme.wrapperTransitionDuration + ' ease;\n  background-color: ' + theme.wrapperBackgroundColor + ';\n  min-height: 100%;\n}\n\n@media screen and (--phoneBreakPoint) {\n  .CardWrapper__styles__wrapper {\n    padding: ' + theme.phoneWrapperPadding + ' 0;\n  }\n}\n';
  },
  'wrapper': 'CardWrapper__styles__wrapper'
};
var CardWrapper = (_dec = (0, _lib2.default)(_theme2.default, styles), _dec(_class = (_temp = _class2 = function (_Component) {
  (0, _inherits3.default)(CardWrapper, _Component);

  function CardWrapper() {
    (0, _classCallCheck3.default)(this, CardWrapper);
    return (0, _possibleConstructorReturn3.default)(this, (CardWrapper.__proto__ || Object.getPrototypeOf(CardWrapper)).apply(this, arguments));
  }

  (0, _createClass3.default)(CardWrapper, [{
    key: 'render',
    value: function render() {
      return _react2.default.createElement(
        'div',
        { className: (0, _classnames2.default)(styles.wrapper, this.props.className) },
        this.props.children
      );
    }
  }]);
  CardWrapper.displayName = 'CardWrapper'
  ;
  return CardWrapper;
}(_react.Component), _class2.propTypes = {
  children: _propTypes2.default.node.isRequired,
  className: _propTypes2.default.string
}, _class2.defaultProps = {
  className: null
}, _temp)) || _class);
exports.default = CardWrapper;