"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = generator;
function generator(_ref) {
  var borders = _ref.borders,
      typography = _ref.typography,
      spacing = _ref.spacing,
      colors = _ref.colors,
      breakpoints = _ref.breakpoints;

  return {
    infoPaddingTopBottom: spacing.small,
    infoPaddingLeftRight: spacing.medium,
    infoBackgroundColor: colors.porcelain,
    headerPaddingTop: spacing.xSmall,
    headerPaddingBottom: spacing.small,
    titleFontSize: typography.fontSizeMedium,
    titleFontWeight: typography.fontWeightBold,
    phoneBreakPoint: "max-width: " + breakpoints.medium,
    phoneInfoPadding: spacing.small
  };
}