'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _dec, _class, _class2, _temp;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _Heading = require('@instructure/ui-elements/lib/components/Heading');

var _Heading2 = _interopRequireDefault(_Heading);

var _lib = require('@instructure/ui-themeable/lib');

var _lib2 = _interopRequireDefault(_lib);

var _formatMessage = require('quiz-common/lib/format-message');

var _formatMessage2 = _interopRequireDefault(_formatMessage);

var _theme = require('./theme');

var _theme2 = _interopRequireDefault(_theme);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var styles = {
  template: function template(theme) {
    return '/*  imported from styles.css  */\n\n.ReportList__styles__page {\n  box-sizing: border-box;\n  padding: ' + theme.pagePadding + ';\n  background-color: ' + theme.backgroundColor + ';\n  height: 100%;\n}\n\n.ReportList__styles__children {\n  display: flex;\n  flex-wrap: wrap;\n  margin: ' + theme.childrenMargin + ';\n}\n\n.ReportList__styles__title {\n  margin: ' + theme.titleMarginTop + ' ' + theme.titleMarginLeftRight + ' ' + theme.titleMarginBottom + ' ' + theme.titleMarginLeftRight + ';\n}\n';
  },
  'page': 'ReportList__styles__page',
  'children': 'ReportList__styles__children',
  'title': 'ReportList__styles__title'
};
var ReportList = (_dec = (0, _lib2.default)(_theme2.default, styles), _dec(_class = (_temp = _class2 = function (_Component) {
  (0, _inherits3.default)(ReportList, _Component);

  function ReportList() {
    (0, _classCallCheck3.default)(this, ReportList);
    return (0, _possibleConstructorReturn3.default)(this, (ReportList.__proto__ || Object.getPrototypeOf(ReportList)).apply(this, arguments));
  }

  (0, _createClass3.default)(ReportList, [{
    key: 'render',
    value: function render() {
      var children = this.props.children;

      return _react2.default.createElement(
        'div',
        { className: styles.page },
        _react2.default.createElement(
          'span',
          { className: 'title' },
          _react2.default.createElement(
            _Heading2.default,
            { level: 'h2', as: 'h1' },
            'Rapports'
          )
        ),
        _react2.default.createElement(
          'div',
          { className: styles.children },
          children
        )
      );
    }
  }]);
  ReportList.displayName = 'ReportList'
  ;
  return ReportList;
}(_react.Component), _class2.propTypes = {
  children: _propTypes2.default.node.isRequired
}, _temp)) || _class);
exports.default = ReportList;