'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = generator;
function generator(_ref) {
  var spacing = _ref.spacing,
      colors = _ref.colors,
      borders = _ref.borders,
      breakpoints = _ref.breakpoints;

  return {
    wrapperPadding: spacing.medium,
    wrapperTransitionDuration: '0.3s',
    wrapperBackgroundColor: colors.porcelain,
    phoneBreakPoint: 'max-width: ' + breakpoints.medium,
    phoneWrapperPadding: spacing.medium
  };
}