'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _redux = require('redux');

var _presenter = require('./presenter');

var _presenter2 = _interopRequireDefault(_presenter);

var _reactRedux = require('../../../../common/react-redux');

var _banks = require('../../../api/banks');

var _modal = require('../../../../common/actions/modal');

var modalActions = _interopRequireWildcard(_modal);

var _modifications = require('../../../../common/actions/modifications');

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function mapDispatchToProps(dispatch) {
  return {
    createBank: (0, _redux.bindActionCreators)(_modifications.createBank, dispatch),
    getBanks: (0, _redux.bindActionCreators)(_banks.getBanks, dispatch),
    openModal: (0, _redux.bindActionCreators)(modalActions.openModal, dispatch)
  };
}

exports.default = (0, _reactRedux.connect)(null, mapDispatchToProps)(_presenter2.default);