'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _redux = require('redux');

var _reactRedux = require('../../../../react-redux');

var _makeScrollable = require('../../../shared/functionality/makeScrollable');

var _makeScrollable2 = _interopRequireDefault(_makeScrollable);

var _presenter = require('./presenter');

var _presenter2 = _interopRequireDefault(_presenter);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function mapStateToProps(state) {
  return {
    itemResultsModifications: state.getIn(['modifications', 'sessionItemResults'])
  };
}

exports.default = (0, _redux.compose)((0, _reactRedux.connect)(mapStateToProps), _makeScrollable2.default)(_presenter2.default);